> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Data scan dashboard for instance

> Returns data scan dashboard data for the instance associated with the access token.

The data scan dashboard includes metrics such as total data risk score, data risk grade, and breakdown of data risks by category.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/dashboards/data
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/dashboards/data:
    get:
      tags:
        - Dashboards
      summary: Data scan dashboard for instance
      description: "Returns data scan dashboard data for the instance associated with the access token.\r\n\r\nThe data scan dashboard includes metrics such as total data risk score, data risk grade, and breakdown of data risks by category.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetDataScanDashboard
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardData'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    DashboardData:
      title: Dashboard Data
      type: object
      properties:
        current_grade:
          title: Current Grade
          type:
            - string
            - 'null'
          description: Current overall grade.
        previous_grade:
          title: Previous Grade
          type:
            - string
            - 'null'
          description: Previous overall grade.
        top_5_categories:
          title: Top 5 Categories
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/SensitiveDataCategory'
          description: List of top 5 sensitive data categories.
        top_10_most_sensitive:
          title: Top 10 Most Sensitive
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/SensitiveDataTarget'
          description: List of top 10 most sensitive data targets.
      additionalProperties: false
      description: >-
        Represents dashboard data including grades and sensitive data
        information.
    SensitiveDataCategory:
      title: Sensitive Data Category
      type: object
      properties:
        name:
          title: Category Name
          type:
            - string
            - 'null'
          description: Name of the sensitive data category.
        times_searched:
          title: Times Searched
          type: integer
          description: Number of times the category has been searched.
          format: int32
      additionalProperties: false
      description: Represents a sensitive data category with its name and search frequency.
    SensitiveDataTarget:
      title: Sensitive Data Target
      type: object
      properties:
        name:
          title: Target Name
          type:
            - string
            - 'null'
          description: Name of the sensitive data target.
        ip_address:
          title: IP Address
          type:
            - string
            - 'null'
          description: IP address of the sensitive data target.
        last_scanned:
          title: Last Scanned
          type:
            - string
            - 'null'
          description: Date and time when the target was last scanned.
        total_scans:
          title: Total Scans
          type: integer
          description: Total number of scans conducted on the target.
          format: int32
        total_sensitive_items:
          title: Total Sensitive Items
          type: integer
          description: Total number of sensitive items found on the target.
          format: int32
        percent_sensitive:
          title: Percent Sensitive
          type: number
          description: Percentage of sensitive items found on the target.
          format: double
        risk_grade:
          title: Risk Grade
          type:
            - string
            - 'null'
          description: Risk grade associated with the target.
      additionalProperties: false
      description: Represents a sensitive data target with its details.

````